# Session Fees

Session Fees

## Creates a new session fee record that does not already exist.

 - [POST /sessionFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-fees/createsessionfee.md): This method will auto-generate an ID and create a new session fee. If an ID is specified for the session fee, an error will be thrown.

## Execute Batch Operations

 - [POST /sessionFees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-fees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

## Returns a list of records with the specified event_id

 - [GET /sessionFees/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-fees/listfeesbyeventid.md): Returns a list of records with the specified event_id

## Returns a list of records with the specified session_id

 - [GET /sessionFees/{tenantId}/session/{session_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-fees/listfeesbysessionid.md): Returns a list of records with the specified session_id

## Returns a session fee from the system by its ID.

 - [DELETE /sessionFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-fees/deletesessionfee.md): This method will delete a session fee with the specified ID.

## Returns a session fee from the system by its ID.

 - [GET /sessionFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-fees/getsessionfee.md): This method will look up a session fee by the specified ID and return it back.

## Partially updates a session fee with the specified ID.

 - [PATCH /sessionFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-fees/patchsessionfee.md): This method will patch an existing session fee with the specified ID, using the HTTP PATCH specification.

## Updates a session fee with the specified ID.

 - [PUT /sessionFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-fees/updatesessionfee.md): This method will update an existing session fee with the specified ID.

